% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/methods.R
\name{mkdVariableAssignment,easyreporting-method}
\alias{mkdVariableAssignment,easyreporting-method}
\title{mkdVariableAssignment}
\usage{
\S4method{mkdVariableAssignment}{easyreporting}(
  object,
  variable.name,
  variable.object.name,
  show = FALSE
)
}
\arguments{
\item{object}{an easyreporting class object}

\item{variable.name}{a string indicating the name of the variabe to store in
the report. (This can be changed here, but further uses of the variable needs
to take into account the variable name change).}

\item{variable.object.name}{the name of the already existing variable. (This
cannot be canged.)}

\item{show}{a boolean indicating if to show the message before writing it
into the rmardown file.}
}
\value{
none
}
\description{
it includes a variable assignment in the report.
NB: a call to the "mkdCodeChunkSt" has to be done before using it.
}
\examples{
\dontrun{
rd <- easyreporting(filenamePath="./project_report",
                        title="example_report", author=c("It's me"))
## leaving the default options to the code chunk
mkdCodeChunkSt(rd)
## adding a variable assignement
variable <- 1
mkdVariableAssignment(rd, "variable", "variable", show=TRUE)
mkdCodeChunkEnd(rd)
}
}
